package plugin.sample.listener;

import com.vp.plugin.*;
import com.vp.plugin.model.IProject;

public class ListenerPlugin implements VPPlugin {
	
	public static ModelListener MODEL_LISTENER = new ModelListener();
	public static DiagramListener DIAGRAM_LISTENER = new DiagramListener();
	public static ProjectModelListener PROJECT_MODEL_LISTENER = new ProjectModelListener();
	public static ProjectDiagramListener PROJECT_DIAGRAM_LISTENER = new ProjectDiagramListener();
	
	public void loaded(VPPluginInfo info) {
		ProjectListener projectListener = new ProjectListener();
		IProject project = ApplicationManager.instance().getProjectManager().getProject();
		project.addProjectListener(projectListener);
		
	}

	public void unloaded() {
	}

}